<div class="modal fade" id="taskModal" role="dialog" style="z-index: 1041;">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-body new-task-modal">
                <div class="container-fluid">
                    <h5 *ngIf="project.id == ''"><div class="_masker"></div></h5>
                    <h5 *ngIf="project.id != ''"> Add Task <span class="project_name">({{project.name}})</span></h5>
                    <div class="row">
                        <div class="col-md-9 col-sm-12">
                            <form class="form-horizontal _add_task_form">
                                <div class="form-group">
                                    <div class="col-md-12">
                                        <input type="text" class="form-control task_name" id="taskName" placeholder="Title" name="taskName" >
                                    </div>
                                </div>        
                                <div class="form-group">
                                    <div class="col-md-12">          
                                        <textarea class="form-control task_description" name="taskDescription" rows="10" placeholder="Description" ></textarea>
                                    </div>
                                </div>
                            </form>
                        </div>
                        <div class="col-md-3 col-sm-12 task_assigneed_div">
                            <div class="form-group">
                                <label class="col-form-label" for="add_task_asignee">Assignee</label>
                                <select class="task_assignee form-control select2" id="add_task_asignee"name="task_assignee" multiple="multiple">
                                    <option *ngFor="let assignee of assignees;" [value]=assignee.id >{{assignee.first_name}}</option>
                                </select>
                            </div>

                            <div class="form-group">
                                <label class="col-form-label" for="add_task_due_date">Due Date</label>
                                <input type="text" id="add_task_due_date" class="form-control datepicker" name="datepicker"/>
                            </div>

                            <div class="form-group">
                                <label class="col-form-label" for="add_task_tags">Tags</label>
                                <input style="width: 100%;" type="text" class="form-control _uim_add_task_tags task_tags" id="add_task_tags" placeholder="Enter Tags Name" name="taskTags" data-role="tagsinput"/>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary btn-success btn-sm" (click) = "onSaveButtonClick()" >Save Task</button>
                <button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>